Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.kidney
Class AnalysisDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--jm.kidney.AnalysisDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, javax.swing.event.ChangeListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants, java.awt.event.WindowListener

public class AnalysisDialog
extends javax.swing.JFrame
implements java.awt.event.ActionListener, javax.swing.event.ChangeListener, java.awt.event.WindowListener

Diese Klasse stellt das Hauptfenster des Plugins zur renalen Funktionsanalyse dar. Gleichzeitig uebernimmt sie die Funktionalitaet eines Datencontainers, indem einige hier gespeicherte Settings als public deklariert sind und so ein Zugriff von anderen Klassen aus stattfinden kann.
Der Aufrug erfolgt aus der Plugin-Schnittstellen-Klasse RENAL_FUNCTION_Analysis

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`int[]` | `acquisitionTime`
`double` | `analysisAccuracy`
`int[][]` | `cepstrumResult`
`double` | `classificationRange`
`boolean` | `enableMinDiff`
`int` | `fovX`
`int` | `fovY`
`boolean` | `hasPatientInfo`
`ExImageCanvas` | `imageCanvas`
`ij.ImagePlus` | `imagePlus`
`ij.ImageStack` | `imageStack`
`ij.gui.ImageWindow` | `imageWindow`
`java.lang.String` | `institutionName`
`boolean` | `interpolateNullValues`
`boolean` | `isCancelPressed`
`boolean` | `isStartAnalysisPressed`
`java.lang.String` | `matrix`
`int` | `matrixX`
`int` | `matrixY`
`boolean` | `newResultWindow`
`int` | `patientAge`
`java.lang.String` | `patientBirth`
`java.lang.String` | `patientID`
`java.lang.String` | `patientName`
`java.lang.String` | `patientSex`
`int` | `patientWeight`
`double` | `pixelSpacingX`
`double` | `pixelSpacingY`
`boolean` | `propertiesOk`
`boolean` | `rasterTransformation`
`boolean` | `secondChance`
`java.lang.String` | `seriesDate`
`boolean` | `seriesLoaded`
`boolean` | `showNullValues`
`boolean` | `splashScreen`
`ExStackWindow` | `stackWindow`
`int` | `startImage`
`java.lang.String` | `studyDate`
`int` | `switchToMinDiff`
`boolean` | `test`
`int` | `threadPriority`
`double` | `timeTE`
`double` | `timeTR`
`boolean` | `verboseResults`
`boolean` | `verboseSIT`
`boolean` | `writeLog`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AnalysisDialog(ij.gui.ImageWindow win)` Der Konstruktor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Routine zur Nachrichtenbehandung von Mausklicks oder Tastatureingaben.
`void` | `cepstrumFinished()` Wird von der Kepstrum-Berechnungsklasse aufgerufen, wenn die Filterung abgeschlossen ist.
`void` | `lockLeftRoi(ij.gui.Roi roi, boolean lockIt, boolean keepIt)` Setzt den Zustand der linken Roi.
`void` | `lockRightRoi(ij.gui.Roi roi, boolean lockIt, boolean keepIt)` Setzt den Zustand der rechten Roi.
`void` | `presetsDialogClosed()` Wird aufgerufen, wenn das Presets-Fenster durch Klick auf die Cancel- oder OK-Schaltflaeche geschlossen wird.
`void` | `setCepstrumResult(int half, int slice, int result)` Setzt das Ergebnis der Kepstrum-Filterung in einer Bildhaelfte des BIldstapelfensters.
`void` | `sitFinished()` Wird von der SIT-Berechnungsklasse aufgerufen, wenn die Berechnung der Signal-Intensitaets-Zeit-Kurven abgeschlossen ist.
`void` | `stateChanged(javax.swing.event.ChangeEvent evt)` Stellt fest, ob der Schieberegler zur Einstellung der Analysegenauigkiet veraendert wurde.
`void` | `windowActivated(java.awt.event.WindowEvent evt)` Hilfsklasse.
`void` | `windowClosed(java.awt.event.WindowEvent evt)` Hilfsklasse.
`void` | `windowClosing(java.awt.event.WindowEvent evt)` Hilfsklasse.
`void` | `windowDeactivated(java.awt.event.WindowEvent evt)` Hilfsklasse.
`void` | `windowDeiconified(java.awt.event.WindowEvent evt)` Hilfsklasse.
`void` | `windowIconified(java.awt.event.WindowEvent evt)` Hilfsklasse.
`void` | `windowOpened(java.awt.event.WindowEvent evt)` Hilfsklasse.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### test

    public boolean test

### isCancelPressed

    public boolean isCancelPressed

### isStartAnalysisPressed

    public boolean isStartAnalysisPressed

### propertiesOk

    public boolean propertiesOk

### newResultWindow

    public boolean newResultWindow

### interpolateNullValues

    public boolean interpolateNullValues

### showNullValues

    public boolean showNullValues

### verboseResults

    public boolean verboseResults

### secondChance

    public boolean secondChance

### rasterTransformation

    public boolean rasterTransformation

### writeLog

    public boolean writeLog

### enableMinDiff

    public boolean enableMinDiff

### verboseSIT

    public boolean verboseSIT

### splashScreen

    public boolean splashScreen

### startImage

    public int startImage

### switchToMinDiff

    public int switchToMinDiff

### threadPriority

    public int threadPriority

### acquisitionTime

    public int[] acquisitionTime

### cepstrumResult

    public int[][] cepstrumResult

### analysisAccuracy

    public double analysisAccuracy

### classificationRange

    public double classificationRange

### imagePlus

    public ij.ImagePlus imagePlus

### imageStack

    public ij.ImageStack imageStack

### imageWindow

    public ij.gui.ImageWindow imageWindow

### imageCanvas

    public ExImageCanvas imageCanvas

### stackWindow

    public ExStackWindow stackWindow

### seriesDate

    public java.lang.String seriesDate

### studyDate

    public java.lang.String studyDate

### patientName

    public java.lang.String patientName

### patientID

    public java.lang.String patientID

### patientBirth

    public java.lang.String patientBirth

### patientWeight

    public int patientWeight

### patientAge

    public int patientAge

### timeTR

    public double timeTR

### timeTE

    public double timeTE

### patientSex

    public java.lang.String patientSex

### institutionName

    public java.lang.String institutionName

### matrix

    public java.lang.String matrix

### fovX

    public int fovX

### fovY

    public int fovY

### matrixX

    public int matrixX

### matrixY

    public int matrixY

### pixelSpacingX

    public double pixelSpacingX

### pixelSpacingY

    public double pixelSpacingY

### hasPatientInfo

    public boolean hasPatientInfo

### seriesLoaded

    public boolean seriesLoaded

Constructor Detail

### AnalysisDialog

    public AnalysisDialog(ij.gui.ImageWindow win)

  Der Konstruktor.

Parameters:
  `win` - Referenz auf das ImagePlus-Fenster-Objekt mit der Nierensequenz

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Routine zur Nachrichtenbehandung von Mausklicks oder Tastatureingaben. Stellt fest, auf welche Schaltflaechen des Dialogs geklickt wurde.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `evt` - uebergebener ActionEvent, ausgeloest durch eine Mausklick oder Tastatureingabe.

### lockLeftRoi

    public void lockLeftRoi(ij.gui.Roi roi,
                            boolean lockIt,
                            boolean keepIt)

  Setzt den Zustand der linken Roi.

  Parameters:
    `roi` - uebergebene, aktive Roi (kann auch null sein)

### lockRightRoi

    public void lockRightRoi(ij.gui.Roi roi,
                             boolean lockIt,
                             boolean keepIt)

  Setzt den Zustand der rechten Roi.

  Parameters:
    `roi` - uebergebene, aktive Roi (kann auch null sein)

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent evt)

  Stellt fest, ob der Schieberegler zur Einstellung der Analysegenauigkiet veraendert wurde.

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`
  Parameters:
    `evt` - ChangeEvent, ausgeloest durch Bewegung des Schiebereglers.

### cepstrumFinished

    public void cepstrumFinished()

  Wird von der Kepstrum-Berechnungsklasse aufgerufen, wenn die Filterung abgeschlossen ist.

### sitFinished

    public void sitFinished()

  Wird von der SIT-Berechnungsklasse aufgerufen, wenn die Berechnung der Signal-Intensitaets-Zeit-Kurven abgeschlossen ist.

### presetsDialogClosed

    public void presetsDialogClosed()

  Wird aufgerufen, wenn das Presets-Fenster durch Klick auf die Cancel- oder OK-Schaltflaeche geschlossen wird. Die veraenderten Voreinstellungen werden dann aus den Variabel der Klasse des Voreinstellungs-Dialoges uebernommen

### setCepstrumResult

    public void setCepstrumResult(int half,
                                  int slice,
                                  int result)

  Setzt das Ergebnis der Kepstrum-Filterung in einer Bildhaelfte des BIldstapelfensters. Benutzt eine Referenz auf den ExImageCanvas, um die Werte direkt zu schreiben.

  Parameters:
    `half` - die Bildhaelfte (0=links, 1=rechts)
    `slice` - die Bildnummer innerhalb der Nierensequenz
    `result` - das zu setzende Ergebnis des Kepstrums (Skala 1-5)

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent evt)

  Hilfsklasse. Faengt Window-Events ab. Wird zum korrekten Schliessen des des Dialogfensters benoetigt.

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`
  Parameters:
    `evt` - WindowsEvent, durch Veraenderungen des Fensters ausgeloest.

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent evt)

  Hilfsklasse. Faengt Window-Events ab. Wird zum korrekten Schliessen des des Dialogfensters benoetigt.

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`
  Parameters:
    `evt` - WindowsEvent, durch Veraenderungen des Fensters ausgeloest.

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent evt)

  Hilfsklasse. Faengt Window-Events ab. Wird zum korrekten Schliessen des des Dialogfensters benoetigt.

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`
  Parameters:
    `evt` - WindowsEvent, durch Veraenderungen des Fensters ausgeloest.

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent evt)

  Hilfsklasse. Faengt Window-Events ab. Wird zum korrekten Schliessen des des Dialogfensters benoetigt.

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`
  Parameters:
    `evt` - WindowsEvent, durch Veraenderungen des Fensters ausgeloest.

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent evt)

  Hilfsklasse. Faengt Window-Events ab. Wird zum korrekten Schliessen des des Dialogfensters benoetigt.

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`
  Parameters:
    `evt` - WindowsEvent, durch Veraenderungen des Fensters ausgeloest.

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent evt)

  Hilfsklasse. Faengt Window-Events ab. Wird zum korrekten Schliessen des des Dialogfensters benoetigt.

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`
  Parameters:
    `evt` - WindowsEvent, durch Veraenderungen des Fensters ausgeloest.

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent evt)

  Hilfsklasse. Faengt Window-Events ab. Wird zum korrekten Schliessen des des Dialogfensters benoetigt.

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Parameters:
    `evt` - WindowsEvent, durch Veraenderungen des Fensters ausgeloest.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD